/*
	File:		GXFile.h

	Contains:	The prototype GX file
				
	Written by: Jon Summers
	
	Copyright:	 1994 by Jon Summers, all rights reserved.

	Change History (most recent first):
	 
 */

#ifndef		_GXDocFile_
#define		_GXDocFile_

#ifndef		_DOCFILE_
	#include	"DocFile.h"
#endif

#ifndef	__QDGXHeaders__
	#include	"QDGXHeaders.h"
#endif

class	TGXDocFile	:	public TDocFile
{
	public:
					TGXDocFile();
		virtual 		~TGXDocFile();

	protected:
		long  	fPagesInDoc;
	public:
#if	qUseQuickDrawGX
		OSErr	GetDocNumOfPages(void);
		OSErr	ReadPageShape(long  thePageNum, gxShape* pShape, gxViewPort  theViewPort);
#endif	// qUseQuickDrawGX
		long	DocNumOfPages(void)	{ return fPagesInDoc; }

};

#endif
