/*
	File:		GXToolWindow.h

	Contains:	A  palette window that will show info about the current shape
				
	Written by: Jon Summers
	
	Copyright:	 1994 by Jon Summers, all rights reserved.

	Change History (most recent first):
	 
 */

#ifndef		_GXTOOLWINDOW_
#define		_GXTOOLWINDOW_

#ifndef		_TOOLWINDOW_
	#include	"ToolWindow.h"
#endif

#ifndef	__QDGXHeaders__
	#include	"QDGXHeaders.h"
#endif

typedef enum { ePageShape, eTestShape } InspectShapeType; 
void	SetInspectShape(InspectShapeType theType, gxShape  theShape);
void	SetInspectPage(long  thePageNum, long theNumOfPages);

class 	TGXToolWindow	:	public TToolWindow
{
public:
					TGXToolWindow();
		virtual ~TGXToolWindow();
	
	virtual void		Draw(void);
	static TGXToolWindow*  fgToolWindow;
};

#endif
