/*
	File:		DocWindow.h

	Contains:	An abstract base class for document-backed windows
				
	Written by: Dave Falkenburg
	
	Copyright:	 1994-95 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
	 
		 <1>	  1/3/95	DRF		First checked in.
 */
#ifndef	_DOCWINDOW_
#define	_DOCWINDOW_

#include "Window.h"
#include "Document.h"


class	TDocWindow : public TWindow
	{
protected:
					TDocWindow(TDocument *backingDocument);
public:
	virtual			~TDocWindow();

	virtual	Boolean	Close(void);
	virtual Boolean	DoMenuCommand(MenuCommandID menuCommand);

protected:
	TDocument *		fDocument;
	};

#endif
